package pipeline.fragment;

import pipeline.misc.Fragment;
import pipeline.misc.FrameBuffer;



/**
 * This FP works just like the PhongShadedFP, but also incorporates
 * a texture.
 * @author ags
 */
public class TexturedPhongFP extends PhongShadedFP {
    
    /**
     * @see FragmentProcessor#nAttr()
     */
    public int nAttr() {
        return 0;
	}
 
    /**
     * @see FragmentProcessor#fragment(Fragment, FrameBuffer)
     */
    public void fragment(Fragment f, FrameBuffer fb) {
    }

}